---
title: Team Namespaces
sidebar_position: 1
description: Collaborate in team namespaces
---

# Team Namespaces

## Join Namespace

Requires namespace admin invitation to join a team namespace.

## Namespace Roles

### MEMBER
- Can view all skills in namespace
- Can publish skills (requires review)
- Can favorite and rate

### ADMIN
- All MEMBER permissions
- Can review skill publishing
- Can manage members
- Can edit namespace information

### OWNER
- All ADMIN permissions
- Can transfer ownership
- Can archive namespace

## Skill Visibility

| Visibility | Description |
|------------|-------------|
| `PUBLIC` | Visible to everyone, anonymous downloadable |
| `NAMESPACE_ONLY` | Only visible to namespace members |
| `PRIVATE` | Only visible to owner and namespace ADMIN |

## Next Steps

- [Promote to Global](./promotion) - Promote team skills to global
